Docs

Get Collaborator Type

GET /Collaborators/types/{typeId}

GET/Collaborators/types/{typeId}

Gets one collaborator type with its sections and assigned properties. The typeId comes from Collaborators_GetCollaboratorTypes.

Path Parameters

FieldTypeRequiredDescription
typeIduuidRequired

Response

FieldTypeDescription
iduuid
namestring| null
iconstring| null
colorstring| null
isArchivedboolean
orgCorrelationIduuid| null
indexinteger
sectionsGetCollaboratorTypeResponseSectionInfo[]| null

GetCollaboratorTypeResponseSectionInfo

FieldTypeDescription
iduuid
namestring| null
indexinteger
orgCorrelationIduuid| null
propertiesGetCollaboratorTypeResponsePropertyAssignmentInfo[]| null

GetCollaboratorTypeResponsePropertyAssignmentInfo

FieldTypeDescription
propertyIduuid
namestring| null
typestring| null
isRequiredboolean
isCollaboratorVisibleboolean
isCollaboratorEditableboolean
indexinteger
optionsGetCollaboratorTypeResponseOptionInfo[]| null

GetCollaboratorTypeResponseOptionInfo

FieldTypeDescription
iduuid
labelstring| null